Kerbal Space Program - Bug #26855

Lights reset to white in certain cases.
12/17/2020 10:15 PM - dok_377

Status: Resolved Start date: 12/17/2020
Severity: Low % Done: 100%
Assignee:

Category: Parts

Target version: 1.11.2

Version: 1.11.0 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game

Description

In some cases lights reset to white after configuration.

Reproduction:

1: When you building a craft and configure lights, turn them on to check the lights in the editor and then reload the craft, they will
reset to white in the editor after you reload the craft.

2: If you don't check the lights (don't turn them on) and reload the craft they will not reset to white, but only in the editor. They will

reset to white when you launch the craft afterwards.

The only way to get them to not reset is to configure them and then launch the craft immediately or leave them on and save the craft
with the lights on, then it will also not reset on launch.

Applies to all lights, even on the landing gear.

History

#1 - 12/17/2020 10:19 PM - dok_377

- Description updated

#5 - 12/17/2020 10:28 PM - RafaHdz
- Status changed from New to Confirmed

- % Done changed from 0 to 10

#7 - 03/23/2021 05:17 PM - victorr
- Status changed from Confirmed to Ready to Test
- Target version setto 1.11.2

- % Done changed from 10 to 80

We made some changes in the last version of the game and would like some feedback on this issue. Thanks.

#8 - 08/09/2021 03:28 PM - Technicalfool
- Status changed from Ready to Test to Resolved

- % Done changed from 80 to 100

Please continue to report if further lamp-bugs appear.
